unit DbgCLSD;

interface

uses
//delphi5
{$IFDEF VER130}DsgnIntf;{$ENDIF}

//delphi7
{$IFDEF VER150}DesignEditors,DesignIntf;{$ENDIF}

//no creo que haga falta probarlo en delphi 8 y delphi 2005
//esas dos versiones son las menos usadas
{$IFDEF VER170}DesignEditors,DesignIntf;{$ENDIF}

//delphi 2006-2007
{$IFDEF VER180}DesignEditors,DesignIntf;{$ENDIF}

// C++ BUILDER
{$IFDEF BCB}DesignEditors, DesignIntf;{$ENDIF}


 type
 TFicheroProperty = class(TStringProperty)
  public
    function GetAttributes : TPropertyAttributes; override;
    procedure Edit; override;
  end;
  
  TAntidebuggerProperty = class(TSetProperty)
  public
    function GetAttributes : TPropertyAttributes; override;
  end;
procedure Register;

implementation

uses DbgCls,Dialogs,Classes,Forms;


//xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
// Este procedimiento registra el componente en la paleta de componentes
//xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
procedure Register;
(*******************************************************************************)
begin
  RegisterComponents('CracksLatinos', [TDbgCLS]);
  RegisterPropertyEditor(TypeInfo(string),TDbgCLS,'ExeName',TFicheroProperty);
  RegisterPropertyEditor(TypeInfo(string),TDbgCLS,'Antidebugger',TAntiDebuggerProperty);
end;


//xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
// Esta funcin es auxiliar para el editor de propiedades de ExeName
//xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
function TFicheroProperty.GetAttributes : TPropertyAttributes;
(*******************************************************************************)
begin
  Result:=[paDialog];
end;


//xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
// Esta funcin es auxiliar para el editor de propiedades de ExeName
//xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
procedure TFicheroProperty.Edit;
(*******************************************************************************)
var
  OpenDialog : TOpenDialog;
begin
  OpenDialog:=TOpenDialog.Create(Application);
  try
    OpenDialog.Filter:='Executable files|*.exe';
    if OpenDialog.Execute then
      SetStrValue(OpenDialog.FileName);
  finally
    OpenDialog.Free;
  end;
end;


//xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
// Esta funcin es auxiliar para el editor de propiedades de Antidebugger
//xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
function TAntidebuggerProperty.GetAttributes : TPropertyAttributes;
(*******************************************************************************)
begin
  Result:=[paDialog, paMultiSelect, paValueList, paSortList];
end;

end.
